Subject: Re: bug#22637: 25.1.50; `mode-line` face `:height` incompatible with `scroll-conservatively 101`.

From: Keith David Bershatsky <[email-masked]>
Date: Fri, 12 Feb 2016 08:17:53 -0800

Thank you, Eli, for the explanation regarding how to better interpret the GLYPH_DEBUG messages that I was seeing on stderr.

I was able to reproduce problem 22637 on Emacs for Windows (XP) master branch with the following code starting from Emacs -Q, evaluating the following code in the scratch buffer, and then pressing the F1 key a couple of times.  The last line will remain below the bottom of the visible window each time the F1 key is pressed.  On Windows, a height of 120 seems to work better for purposes of reproducing the problem, whereas on OSX I was using a height of 140.

(face-spec-set 'mode-line
  '((((class color) (min-colors 88))
     :box (:line-width -1 :style released-button)
     :background "grey75" :foreground "black" :height 120)
    (t
     :inverse-video t)))

(setq scroll-conservatively 101)

(global-eldoc-mode -1)

(global-font-lock-mode -1)

(blink-cursor-mode -1)

(defun my-insert-text ()
(interactive)
  (dotimes (i 200)
    (insert "I will not obey absurd orders.\n")))

(global-set-key [f1] 'my-insert-text)